PDA

View Full Version : "Can't find variable gal_register" after 3.8 update


Arnoz
01-21-2009, 08:13 PM
Hey there,

I just updated to 3.8, everything works well in the forum but there aren't any links anymore on my front page which is a script which takes all the posts from a specific forum (kind of a news page). If I use Safari's developer tools, I get 8 errors like this: "can't find variable gal_register".
The name of the script of my index page is "vbnews" and it is set in my GAL settings.
// #################### DEFINE IMPORTANT CONSTANTS #######################
define('NO_REGISTER_GLOBALS', 1);
define('THIS_SCRIPT', 'vbnews');

Any clue? Thanks!

Morgan
01-24-2009, 06:07 AM
Not familiar with that modification, so cannot say for sure, but it sounds like you are not including the GAL JavaScript files in the other modification.

Arnoz
01-24-2009, 12:40 PM
And how can I check if it is included? In the settings I have those scripts:
showthread,actu,member,vbnews

If I also want to include the script in the memberinfo template how can I do that?

Morgan
01-24-2009, 03:05 PM
The 'GAL Template Changes' plugin adds the necessary JavaScript and the 'GAL Init' plugin initiates GAL. You might want to check the Execution Order of those two plugins and set them to occur before other plugins using the same hooks. You can also look at the HTML source and see if the GAL JavaScript is there.